Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional.provider
Interface IContentProposalProvider.IProposalCreationFactory

All Known Implementing Classes:
  ProposalCreationFactoryAdapter

Enclosing interface:
  IContentProposalProvider

public static interface IContentProposalProvider.IProposalCreationFactory

Implementors of the class can configure certain aspects of the returned proposals

Method Summary
`org.eclipse.jface.text.contentassist.ICompletionProposal` | `createProposal(java.lang.String replacementText, java.lang.String displayText, java.lang.String additionalText, org.eclipse.swt.graphics.Image displayImage, java.lang.Object sourceObject)`

Method Detail

### createProposal

    public org.eclipse.jface.text.contentassist.ICompletionProposal createProposal(java.lang.String replacementText,
                                                                                   java.lang.String displayText,
                                                                                   java.lang.String additionalText,
                                                                                   org.eclipse.swt.graphics.Image displayImage,
                                                                                   java.lang.Object sourceObject)

  Parameters:
    `replacementText` - The text to be replaced
    `displayText` - The text to be displayed in the assist window
    `additionalText` - The text to be displayed in the "addition info" or null
    `displayImage` - The image to be displayed or null
    `sourceObject` - The original source object. Implementors should make no assumptions (i.e. always test instanceof before casting)
  Returns:
    a configured completion proposal for the parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD